org.apache.http.impl.auth

## Class BasicSchemeFactory

- java.lang.Object
- - org.apache.http.impl.auth.BasicSchemeFactory

- All Implemented Interfaces:
    AuthSchemeFactory, AuthSchemeProvider

      @Contract(threading=IMMUTABLE)
      public class BasicSchemeFactory
      extends Object
      implements AuthSchemeFactory, AuthSchemeProvider

  `AuthSchemeProvider` implementation that creates and initializes `BasicScheme` instances.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicSchemeFactory()`
    `BasicSchemeFactory(Charset charset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthScheme` | `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.
    `AuthScheme` | `newInstance(org.apache.http.params.HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicSchemeFactory

          public BasicSchemeFactory(Charset charset)

      Since:
        4.3

    - #### BasicSchemeFactory

          public BasicSchemeFactory()

  - ### Method Detail

    - #### newInstance

          public AuthScheme newInstance(org.apache.http.params.HttpParams params)

      Description copied from interface: `AuthSchemeFactory`
      Creates an instance of `AuthScheme` using given HTTP parameters.
      Specified by:
        `newInstance` in interface `AuthSchemeFactory`
      Parameters:
        `params` - HTTP parameters.
      Returns:
        auth scheme.

    - #### create

          public AuthScheme create(org.apache.http.protocol.HttpContext context)

      Description copied from interface: `AuthSchemeProvider`
      Creates an instance of `AuthScheme`.
      Specified by:
        `create` in interface `AuthSchemeProvider`
      Returns:
        auth scheme.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.